using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsMaterialCodeReleaseType
    {
        public FmsMaterialCodeReleaseType()
        {
            FmsMaterialRelease = new HashSet<FmsMaterialRelease>();
        }

        [Key]
        public short ReleaseTypeId { get; set; }
        [Required]
        [StringLength(24)]
        public string Name { get; set; }
        [StringLength(255)]
        public string Description { get; set; }

        [InverseProperty("ReleaseType")]
        public virtual ICollection<FmsMaterialRelease> FmsMaterialRelease { get; set; }
    }
}
